# SCPUpload (sshj 0.4.0 API)
Date: 2011-06-06

## examples
Class SCPUpload

    java.lang.Object
      examples.SCPUpload

    public class SCPUpload

extends Object

This example demonstrates uploading of a file over SCP to the SSH server.

Constructor Summary
`SCPUpload()`

Method Summary
`static void` `main(String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SCPUpload

    public SCPUpload()

Method Detail

### main

    public static void main(String[] args)
                     throws IOException,
                            ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

Copyright © 2009-2011. All Rights Reserved.